Macaulay2 » Documentation
Packages » NCAlgebra :: use(NCRing)
next | previous | forward | backward | up | index | toc

# use(NCRing) -- Brings the variables of a particular NCRing in scope

- Function: use
- Usage:
    `use A`
- Inputs:
  - A, an instance of the type NCRing,

## Description

This function brings the variables of a particular NCRing in scope. For an illustration:

    i1 : A = QQ{x,y,z}

    o1 = A

    o1 : NCPolynomialRing

    i2 : coefficientRing A

    o2 = QQ

    o2 : Ring

    i3 : B = skewPolynomialRing(QQ,(-1)_QQ,{x,y,z})
    --Calling Bergman for NCGB calculation.
    Complete!

    o3 = B

    o3 : NCQuotientRing

    i4 : x

    o4 = x

    o4 : B

As you can see, at this point the interpreter treats x,y and z as elements of B. To go back to A, we run the command use A:

    i5 : use A

    o5 = A

    o5 : NCPolynomialRing

    i6 : x

    o6 = x

    o6 : A

## Ways to use this method:

- use(NCRing) -- Brings the variables of a particular NCRing in scope

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:228:0.